Skip to main content
GET
Get Logs

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500
since
string | null

Duration (e.g. '1h', '30m', '2d') or ISO 8601 timestamp

severity
string | null

Exact severity: DEFAULT, DEBUG, INFO, WARNING, ERROR, CRITICAL

service
string | null

Filter logs to a specific service name

cron
string | null

Filter logs to a specific cron job name

search
string | null

Case-insensitive substring search on log messages

Maximum string length: 500
env
string | null

Filter logs by environment (dev, prod)

deployment
string | null

Filter logs by deployment ID, or 'latest' for the app's latest deploy

cursor
string | null

Opaque cursor from the previous logs response

Response

Successful Response

Response for the logs endpoint.

logs
LogEntry · object[]
required
total
integer
required
app_name
string
required
limit
integer
required
next_cursor
string | null
has_more
boolean
default:false